Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 66165 - new version app-sci/drgeo 0.9.14
Summary: new version app-sci/drgeo 0.9.14
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: High enhancement (vote)
Assignee: Gentoo Science Related Packages
URL: http://mesh.dl.sourceforge.net/source...
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2004-10-02 14:47 UTC by Daniel Kenzelmann
Modified: 2004-11-15 06:50 UTC (History)
0 users

See Also:
Package list:
Runtime testing required: ---


Attachments
drgeo-0.9.14.ebuild (drgeo-0.9.14.ebuild,637 bytes, text/plain)
2004-10-13 23:47 UTC, David Grant
Details
Diff of drgeo-0.9.12.ebuild. (drgeo-0.9.14.diff,1.85 KB, text/plain)
2004-11-14 11:02 UTC, Marcus D. Hanwell (RETIRED)
Details
New diff from drgeo-0.9-12.ebuild. (drgeo-0.9.14.diff,1.81 KB, text/plain)
2004-11-14 12:04 UTC, Marcus D. Hanwell (RETIRED)
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Daniel Kenzelmann 2004-10-02 14:47:56 UTC
Updated version of Dr Geo is available please create ebuild.

Reproducible: Always
Steps to Reproduce:
1.
2.
3.
Comment 1 David Grant 2004-10-13 23:32:20 UTC
Reporter,

This is easy to do and submit yourself.  Just rename the ebuild from drgeo-0.9.12.ebuild to drgeo-0.9.14.ebuild and try it out.

I've submitted it here.
Comment 2 David Grant 2004-10-13 23:47:11 UTC
Created attachment 41787 [details]
drgeo-0.9.14.ebuild

New ebuild, version bump
Comment 3 David Grant 2004-10-13 23:49:35 UTC
Tested, works fine.  Add to portage with ~x86, 0.9.12, can have x86 unless there are any objections.
Comment 4 David Grant 2004-10-13 23:50:05 UTC
correction, help files problem should be fixed, then mark 0.9.12 with x86
Comment 5 Marcus D. Hanwell (RETIRED) gentoo-dev 2004-11-13 13:25:59 UTC
I have tested this application. All that was necessary was to rename the ebuild 
for 0.9.12, make a new digest and emerge it. The program compiled and installed 
successfully on both my amd64 machine and x86 laptop. Tested all major functions
on amd64 including export.

I would suggest adding with ~amd64 and ~x86 keywords. The help files are listed in
the TODO file as being in progress, and so this is an upstream bug.
Comment 6 Olivier Fisette (RETIRED) gentoo-dev 2004-11-13 13:34:02 UTC
Marcus, could you try adding support for documentation to this ebuild? The 
documentation is available (one package for all languages) on the SourceForge 
project page. It contains HTML and LaTeX versions, and builds using 
autoconf/automake.

(As a side note, I would like to add that not installing user documentation is 
a bug, and drgeo should not have been added to Portage without its 
documentation if the documentation was available then.)
Comment 7 Marcus D. Hanwell (RETIRED) gentoo-dev 2004-11-14 11:01:20 UTC
I have added support for documentation. English docs installed by default and all 
available translations if the nls flag is set. The docs cannot be built due to an 
unfulfilled dependency on the Hyperlatex package which isn't in portage. They are 
already built in the tarball though.

I have attached a diff to the 0.9.12 ebuild. Is the MY_DOC variable OK - the 
version is different to the main package. It builds and installs successfully for 
me, but I would appreciate testing especially for the other available languages.
Comment 8 Marcus D. Hanwell (RETIRED) gentoo-dev 2004-11-14 11:02:43 UTC
Created attachment 43942 [details]
Diff of drgeo-0.9.12.ebuild.
Comment 9 Marcus D. Hanwell (RETIRED) gentoo-dev 2004-11-14 11:57:18 UTC
Comment on attachment 43942 [details]
Diff of drgeo-0.9.12.ebuild.

--- /usr/portage/app-sci/drgeo/drgeo-0.9.12.ebuild	2004-09-22
21:05:33.000000000 +0100
+++ drgeo-0.9.14.ebuild 2004-11-14 19:49:03.326141040 +0000
@@ -1,28 +1,49 @@
 # Copyright 1999-2004 Gentoo Foundation
 # Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/app-sci/drgeo/drgeo-0.9.12.ebuild,v 1.6
2004/09/22 19:58:31 hansmi Exp $
+# $Header: $
+
+MY_DOC="${PN}-doc-1.5"

 DESCRIPTION="Interactive geometry package"
 HOMEPAGE="http://www.ofset.org/drgeo"
-SRC_URI="mirror://sourceforge/ofset/${P}.tar.gz"
+SRC_URI="mirror://sourceforge/ofset/${P}.tar.gz
+	mirror://sourceforge/ofset/${MY_DOC}.tar.gz"

 SLOT="0"
 LICENSE="GPL-2"
-KEYWORDS="x86 amd64 ~ppc"
+KEYWORDS="~x86 ~amd64 ~ppc"

-IUSE=""
+IUSE="nls"

 DEPEND=">=x11-libs/gtk+-2
	>=gnome-base/libglade-2
	>=dev-libs/libxml2-2
-	>=dev-util/guile-1.4"
+	>=dev-util/guile-1.4
+	www-client/dillo"

 src_compile() {
-	econf || die
-	emake || die
+	# First make the program files
+	econf || die "Error: econf failed!"
+	emake || die "Error: emake failed!"
+	# Can't make the documentation as it depends on Hyperlatex which isn't
+	# yet in portage. Fortunately HTML is already compiled for us in the
+	# tarball and so can be installed. Just create the make install target.
+	cd ${WORKDIR}/${MY_DOC}
+	aclocal
+	automake
+	autoconf
+	./configure --prefix=/usr
 }

 src_install() {
-	einstall || die
-	dodoc AUTHORS COPYING ChangeLog README NEWS TODO
+	make install DESTDIR=${D} || die "Error: failed installing package."
+	dodoc AUTHORS ChangeLog README NEWS TODO
+	if use nls; then
+		einfo "Installing all available documentation translations."
+		cd ${WORKDIR}/${MY_DOC}
+	else
+		einfo "Installing English documentation."
+		cd ${WORKDIR}/${MY_DOC}/c
+	fi
+	make DESTDIR=${D} install || die "Error: failed installing
documentation."
 }
Comment 10 Marcus D. Hanwell (RETIRED) gentoo-dev 2004-11-14 12:00:11 UTC
Comment on attachment 43942 [details]
Diff of drgeo-0.9.12.ebuild.

--- /usr/portage/app-sci/drgeo/drgeo-0.9.12.ebuild	2004-09-22
21:05:33.000000000 +0100
+++ drgeo-0.9.14.ebuild 2004-11-14 19:49:03.326141040 +0000
@@ -1,28 +1,49 @@
 # Copyright 1999-2004 Gentoo Foundation
 # Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/app-sci/drgeo/drgeo-0.9.12.ebuild,v 1.6
2004/09/22 19:58:31 hansmi Exp $
+# $Header: $
+
+MY_DOC="${PN}-doc-1.5"

 DESCRIPTION="Interactive geometry package"
 HOMEPAGE="http://www.ofset.org/drgeo"
-SRC_URI="mirror://sourceforge/ofset/${P}.tar.gz"
+SRC_URI="mirror://sourceforge/ofset/${P}.tar.gz
+	mirror://sourceforge/ofset/${MY_DOC}.tar.gz"

 SLOT="0"
 LICENSE="GPL-2"
-KEYWORDS="x86 amd64 ~ppc"
+KEYWORDS="~x86 ~amd64 ~ppc"

-IUSE=""
+IUSE="nls"

 DEPEND=">=x11-libs/gtk+-2
	>=gnome-base/libglade-2
	>=dev-libs/libxml2-2
-	>=dev-util/guile-1.4"
+	>=dev-util/guile-1.4
+	www-client/dillo"

 src_compile() {
-	econf || die
-	emake || die
+	# First make the program files
+	econf || die "Error: econf failed!"
+	emake || die "Error: emake failed!"
+	# Can't make the documentation as it depends on Hyperlatex which isn't
+	# yet in portage. Fortunately HTML is already compiled for us in the
+	# tarball and so can be installed. Just create the make install target.
+	cd ${WORKDIR}/${MY_DOC}
+	aclocal
+	automake
+	autoconf
+	./configure --prefix=/usr
 }

 src_install() {
-	einstall || die
-	dodoc AUTHORS COPYING ChangeLog README NEWS TODO
+	make install DESTDIR=${D} || die "Error: failed installing package."
+	dodoc AUTHORS ChangeLog README NEWS TODO
+	if use nls; then
+		einfo "Installing all available documentation translations."
+		cd ${WORKDIR}/${MY_DOC}
+	else
+		einfo "Installing English documentation."
+		cd ${WORKDIR}/${MY_DOC}/c
+	fi
+	make DESTDIR=${D} install || die "Error: failed installing
documentation."
 }
Comment 11 Marcus D. Hanwell (RETIRED) gentoo-dev 2004-11-14 12:04:29 UTC
Created attachment 43947 [details]
New diff from drgeo-0.9-12.ebuild.

Removed some dependencies that were not needed, and added the default help file
browser as a dependency. Please test - fully functional on amd64 using gcc 3.4.
Comment 12 Marcus D. Hanwell (RETIRED) gentoo-dev 2004-11-14 12:06:32 UTC
Sorry about comments #9 and #10 - having a few problems with my browser and
buzilla - won't happen again.
Comment 13 Olivier Fisette (RETIRED) gentoo-dev 2004-11-15 06:50:34 UTC
In CVS. Thanks, Marcus.